# Generated by Django 2.2.18 on 2021-08-23 18:21

from django.db import migrations, models
import django.db.models.deletion
import parler.models


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0093_fix_attr_m2m'),
        ('canvas', '0014_unsyncedstockcount'),
    ]

    operations = [
        migrations.AlterField(
            model_name='canvassupplierextra',
            name='social_media_handles',
            field=models.CharField(help_text='You can list multiple handles by separating them with commas or spaces. Example: @mybrand, @my_other_brand, @my.best.brand', max_length=300, verbose_name='Instagram handles'),
        ),
        migrations.CreateModel(
            name='CanvasProductExtra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('material_and_fit', models.CharField(blank=True, max_length=1000)),
                ('care', models.CharField(blank=True, max_length=1000)),
                ('about_brands', models.CharField(blank=True, max_length=1000)),
                ('product', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='canvas_product', to='shuup.Product')),
            ],
            options={
                'abstract': False,
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
    ]
